import type { ElTooltipProps } from './props';
declare type PropsAndEventsType = ElTooltipProps & Record<typeof tooltipEmitsVNodeKeys[number], (...args: any[]) => any> & {
    closeUseTooltip: () => void;
    __provides__: Record<string | symbol, unknown>;
};
declare const tooltipEmitsVNodeKeys: `on${string}`[];
export declare function renderTooltip(props: PropsAndEventsType, e: Element): {
    (): void;
    ref: any;
} | undefined;
export declare function useTooltip(props: PropsAndEventsType, e: any): {
    (): void;
    ref: any;
} | undefined;
export declare function getAllKeys(obj: Record<any, any>): Array<string | symbol>;
export {};
